import { Locale } from '../type';
type StorageAccessState = 'prompt' | 'granted' | 'denied';
declare function RequestStorageAccessApiDialog({ ref, locale, src, storageAccessState, }: {
    locale?: Locale;
    src: string;
    storageAccessState: StorageAccessState;
} & {
    ref?: React.Ref<unknown>;
}): import("react/jsx-runtime").JSX.Element;
declare const _default: import('react').MemoExoticComponent<typeof RequestStorageAccessApiDialog>;
export default _default;
